# std::back_insert_iterator<Container>::back_insert_iterator

From cppreference.com
< cpp‎ | iterator‎ | back insert iterator

constexpr back_insert_iterator() noexcept = default; | (1) | (since C++20)
| (2) |
explicit back_insert_iterator( Container& c ); |  | (until C++20)
constexpr explicit back_insert_iterator( Container& c ); |  | (since C++20)

1) Initializes the underlying pointer to container with nullptr. | (since C++20)

2) Initializes the underlying pointer to the container to std::addressof(c).

### Parameters

c | - | container to initialize the inserter with

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/iterator/back_insert_iterator/back_insert_iterator&oldid=107591"